Skip to content

Add a domain, IP or hostname to HostRepute monitoring

POST
/api/v1/workspaces/{workspace}/integrations/hostrepute/assets
curl --request POST \
--url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/integrations/hostrepute/assets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "asset": "example" }'

Permission: integrations:hostrepute

Answers 409 with code monitor_limit_reached (meta: limit, used, team, asset, swap) when the HostRepute plan is full.

workspace
required

Workspace slug

string
/^[a-z0-9][a-z0-9-]{1,62}$/

Workspace slug

Media typeapplication/json
object
asset
required

A sending domain, organization domain, dedicated IP or server hostname of this workspace

string
>= 1 characters <= 253 characters

Example generated

{
"asset": "example"
}

OK

Media typeapplication/json
object
accountEmail
string
alertsToNotifications
required
boolean
assets
required
Array<object>
object
asset
required
string
dmarcAligned

Percent of DMARC-aligned mail in the last 7 days

number format: double
dmarcPolicy
string
lastSyncAt
string format: date-time
listings
required
Array<string>
monitored
required
boolean
postmasterReputation
string
provider
string
role
required
string
Allowed values: sending_domain organization_domain dedicated_ip server_hostname other
score
integer format: int64
sources
required
integer format: int64
status
string
Allowed values: synced pending error
type
required
string
Allowed values: domain ip hostname
verdict
string
checkIntervalMinutes
required
integer format: int32
connectedAt
string format: date-time
connectedBy
string
demo
required
boolean
dmarcRua
string
lastCheckAt
string format: date-time
lastSyncAt
string format: date-time
method
string
Allowed values: oauth api_key
monitorLimit
integer format: int32
monitorUsed
required
integer format: int64
plan
string
scopes
required
Array<object>
object
granted
required
boolean
key
required
string
use
required
string
shared
required
object
domains
required
Array<string>
ips
required
Array<string>
sources
required
integer format: int32
status
required
string
Allowed values: not_connected connected revoked expired error
syncError
string
syncErrorAt
string format: date-time
syncing
required
boolean
teamName
string
tokenRejectedAt
string format: date-time

Example

{
"assets": [
{
"role": "sending_domain",
"status": "synced",
"type": "domain"
}
],
"method": "oauth",
"status": "not_connected"
}

Error

Media typeapplication/problem+json
object
code

Stable error code, e.g. permission_denied

string
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object>
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

helpers

Members who hold the missing permission

Array<string>
instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
meta
object
key
additional properties
permission

The missing permission key

string
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank

Example

{
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}